MainInvoker (HSQLDB 2.2.9 API)
Date: 2012-08-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class MainInvoker

    java.lang.Object
      org.hsqldb.util.MainInvoker

    public class MainInvoker

extends Object

Invokes the static main(String[]) method from each class specified. This class will System.exit() if any invocation fails.

Since:
  HSQLDB 1.8.0
Author:
  Blaine Simpson (blaine dot simpson at admc dot com)

Field Summary
`static String` | `LS`

Constructor Summary
`MainInvoker()`

Method Summary
`static void` | `invoke(String className, String[] args)` Invokes the static main(String[]) method from each specified class.
`static void` | `main(String[] sa)` Invokes the static main(String[]) method from each specified class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LS

    public static String LS

Constructor Detail

### MainInvoker

    public MainInvoker()

Method Detail

### main

    public static void main(String[] sa)

  Invokes the static main(String[]) method from each specified class. This method will System.exit() if any invocation fails. Note that multiple class invocations are delimited by empty-string parameters. How the user supplies these empty strings is determined entirely by the caller's environment. From Windows this can generally be accomplished with double-quotes like "". From all popular UNIX shells, this can be accomplished with single or double-quotes: '' or "".

  Parameters:
    `sa` - Run java org.hsqldb.util.MainInvoker --help for syntax help

### invoke

    public static void invoke(String className,
                              String[] args)
                       throws ClassNotFoundException,
                              NoSuchMethodException,
                              IllegalAccessException,
                              InvocationTargetException

  Invokes the static main(String[]) method from each specified class.

  Throws:
    `ClassNotFoundException`
    `NoSuchMethodException`
    `IllegalAccessException`
    `InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2010 HSQL Development Group.